# $Revision: 1.31 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	SGMLS - postprocessing the output from the SGMLS and NSGMLS parsers
Summary(pl.UTF-8):	SGMLS - przetwarzanie wyjścia z analizatorów składni: SGMLS i NSGMLS
Name:		perl-SGMLS
Version:	1.03ii
Release:	14
License:	GPL v2
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/SGMLS/SGMLSpm-%{version}.tar.gz
# Source0-md5:	5bcb197fd42e67d51c739b1414d514a7
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
Obsoletes:	perl-SGMLSpm
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This distribution contains SGMLS.pm, a perl5 class library for parsing
the output from James Clark's SGMLS and NSGMLS parsers.

%description -l pl.UTF-8
Pakiet ten zawiera bibliotekę klas Perla 5 SGMLS.pm służącą do
przetwarzania wyjścia z analizatorów składniowych SGMLS i NSGMLS
Jamesa Clarka.

%prep
%setup -q -n SGMLSpm
mkdir -p lib/SGMLS
mv Output.pm Refs.pm skel.pl lib/SGMLS
mv SGMLS.pm lib
mv sgmlspl.pl sgmlspl
mv test-SGMLS.pl test.pl

%build
touch Makefile.PL
%{__perl} -MExtUtils::MakeMaker -wle 'WriteMakefile(NAME=>"SGMLS", EXE_FILES=>["sgmlspl"])' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README BUGS TODO DOC/*sgml DOC/*pl elisp
%attr(755,root,root) %{_bindir}/*
%{perl_vendorlib}/SGMLS.pm
%{perl_vendorlib}/SGMLS
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SGMLS.spec,v $
Revision 1.31  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.30  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.29  2005/04/23 17:30:46  mmazur
- rel 14 for th

Revision 1.28  2004/05/07 00:29:57  ankry
- rel. 13

Revision 1.27  2004/05/06 18:20:59  ankry
- fixed perl-devel BR

Revision 1.26  2004/04/30 17:59:10  ankry
- license fixed, tests added but disabled (they hang)

Revision 1.25  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.24  2003/08/12 22:32:51  ankry
- cosmetics

Revision 1.23  2003/05/25 11:00:57  malekith
- massive attack, adding Source-md5

Revision 1.22  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.21  2003/04/30 08:04:51  ankry
- cosmetics, pl translation
- rel. 12

Revision 1.20  2003/04/20 19:43:30  ankry
added obsolete for RH package

Revision 1.19  2003/04/11 18:33:23  radek
- made the install process ,,perlish'' -- used MakeMaker
- provided informative summary/description
- BR: perl-devel instead of perl

Revision 1.18  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.17  2003/02/18 15:38:01  ankry
- massive attack: change CPAN URLs

Revision 1.16  2002/08/11 19:36:49  radek
- release up

Revision 1.15  2002/07/19 00:07:48  ankry
- fixed man section
- new %%doc
- release 8

Revision 1.14  2002/05/11 14:28:12  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.13  2002/03/03 20:50:05  marcus
- rel.7.

Revision 1.12  2002/02/22 23:29:32  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/02/10 15:33:55  depesz
adapterized

Revision 1.10  2002/01/18 02:14:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/28 15:20:22  mis
- buildarch noarch; release++

Revision 1.8  2001/04/17 12:15:03  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.7  2001/04/14 18:00:09  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.6  2001/01/23 16:08:46  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.5  2000/06/09 07:23:41  kloczek
- added using %%{__make} macro.

Revision 1.4  2000/05/21 20:20:01  kloczek
- spec adapterized.

Revision 1.3  2000/04/01 11:15:26  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.1  1999/12/02 18:29:41  pius
- initial release
